#ifndef POSTREGISTER_H
#define POSTREGISTER_H

#include "postregister_global.h"
#include <QObject>
#include <imetadataplugin.h>

class POSTREGISTERSHARED_EXPORT PostRegister : public QObject, IMetaDataPlugin
{
    Q_OBJECT

    Q_PLUGIN_METADATA(IID PluginInterface_iid FILE "postregister.json")
    Q_INTERFACES(IPlugin)
public:
    PostRegister();

    // IMetaDataPlugin interface
protected:
    void initServiceUi();

    // IPlugin interface
public:
    bool showIcon();
};

#endif // POSTREGISTER_H
